# Function insertSelectorItem

- insertSelectorItem(__namedParameters): Promise<{
  linkId: any;
  }>

- #### Parameters

  - __namedParameters: {
    linkTypeId: any;
    nodeTypeId: any;
    rootId: any;
    selectorId: any;
    treeId: any;
    }

    - ##### linkTypeId: any

    - ##### nodeTypeId: any

    - ##### rootId: any

    - ##### selectorId: any

    - ##### treeId: any

  #### Returns Promise<{
  linkId: any;
  }>

  - Defined in work/deeplinks/deeplinks/imports/handlers.ts:166